Update a bot
Updates a bot. The join_at, meeting_url, bot_name, bot_image and recording_settings fields can only be updated when the bot is in the scheduled state. The metadata field can be updated at any time.
- Type: stringobject
_id requiredBot ID
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Mixin class providing validation for common attributes used in both patching and creating bots.
- Type: object ·bot
_image The image for the bot
- Type: stringbot
_name min length:1The name of the bot, e.g. 'My Bot'
- Type: string Format: date-timejoin
_at The time the bot should join the meeting. ISO 8601 format, e.g. 2025-06-13T12:00:00Z
- Type: stringmeeting
_url min length:1The URL of the meeting to join, e.g. https://zoom.us/j/123?pwd=456
- Type: objectmetadata
JSON object containing metadata to associate with the bot
- Type: objectrecording
_settings The settings for the bot's recording. The settings specified here will completely replace the existing settings.
- application/json
- 400
Invalid input or bot cannot be updated
- 404
Bot not found
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx \
--request PATCH \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"join_at": "2025-06-13T12:00:00Z"
}'
{
"id": "string",
"metadata": {},
"meeting_url": "string",
"state": "ready",
"events": [
{
"type": "string",
"sub_type": null,
"created_at": "2026-08-08T18:30:40.600Z"
}
],
"transcription_state": "not_started",
"recording_state": "not_started",
"join_at": "2026-08-08T18:30:40.600Z",
"deduplication_key": "string"
}